gnutls-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[SCM] GNU gnutls branch, master, updated. gnutls-3_0_12-76-g669b9b8


From: Simon Josefsson
Subject: [SCM] GNU gnutls branch, master, updated. gnutls-3_0_12-76-g669b9b8
Date: Wed, 25 Jan 2012 07:48:43 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU gnutls".

http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=669b9b839a9fe1593b9786736587187f0213cf94

The branch, master has been updated
       via  669b9b839a9fe1593b9786736587187f0213cf94 (commit)
       via  d5720fde324e3fa32f405183dfebac0f97d73660 (commit)
       via  6cd4f0e3fb51faa6a787113eabec13cf40155fe1 (commit)
      from  88bf26a18e48df38598bd2119700b3777c5a9ee9 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 669b9b839a9fe1593b9786736587187f0213cf94
Author: Simon Josefsson <address@hidden>
Date:   Wed Jan 25 08:48:25 2012 +0100

    Fix datefudge checks.

commit d5720fde324e3fa32f405183dfebac0f97d73660
Author: Simon Josefsson <address@hidden>
Date:   Wed Jan 25 08:48:17 2012 +0100

    Generated.

commit 6cd4f0e3fb51faa6a787113eabec13cf40155fe1
Author: Simon Josefsson <address@hidden>
Date:   Wed Jan 25 08:46:55 2012 +0100

    Improve datefudge check.  Fix builddir != srcdir.

-----------------------------------------------------------------------

Summary of changes:
 doc/manpages/Makefile.am       |    6 ++++++
 tests/cert-tests/template-test |   19 +++++++++++--------
 tests/pkcs1-padding/pkcs1-pad  |    2 +-
 tests/suite/testcompat         |   14 ++++++++------
 4 files changed, 26 insertions(+), 15 deletions(-)

diff --git a/doc/manpages/Makefile.am b/doc/manpages/Makefile.am
index 687cf2c..1f9605a 100644
--- a/doc/manpages/Makefile.am
+++ b/doc/manpages/Makefile.am
@@ -202,6 +202,7 @@ APIMANS += gnutls_protocol_get_id.3
 APIMANS += gnutls_certificate_type_get_id.3
 APIMANS += gnutls_pk_get_id.3
 APIMANS += gnutls_sign_get_id.3
+APIMANS += gnutls_ecc_curve_list.3
 APIMANS += gnutls_cipher_list.3
 APIMANS += gnutls_mac_list.3
 APIMANS += gnutls_compression_list.3
@@ -243,6 +244,11 @@ APIMANS += gnutls_priority_deinit.3
 APIMANS += gnutls_priority_get_cipher_suite_index.3
 APIMANS += gnutls_priority_set.3
 APIMANS += gnutls_priority_set_direct.3
+APIMANS += gnutls_priority_certificate_type_list.3
+APIMANS += gnutls_priority_sign_list.3
+APIMANS += gnutls_priority_protocol_list.3
+APIMANS += gnutls_priority_compression_list.3
+APIMANS += gnutls_priority_ecc_curve_list.3
 APIMANS += gnutls_set_default_priority.3
 APIMANS += gnutls_cipher_suite_get_name.3
 APIMANS += gnutls_protocol_get_version.3
diff --git a/tests/cert-tests/template-test b/tests/cert-tests/template-test
index 5592152..b56b27d 100755
--- a/tests/cert-tests/template-test
+++ b/tests/cert-tests/template-test
@@ -1,8 +1,6 @@
 #!/bin/sh
 
-# Copyright (C) 2006-2008, 2010, 2012 Free Software Foundation, Inc.
-#
-# Author: Simon Josefsson
+# Copyright (C) 2006-2012 Free Software Foundation, Inc.
 #
 # This file is part of GnuTLS.
 #
@@ -25,13 +23,18 @@ set -e
 srcdir=${srcdir:-.}
 CERTTOOL=${CERTTOOL:-../../src/certtool$EXEEXT}
 
-if ! test -x /usr/bin/datefudge;then
-  echo "You need datefudge to run this test"
-  exit 77
+# Check for datefudge
+TSTAMP=`datefudge "2006-09-23" date -u +%s`
+if test "$TSTAMP" != "1158962400"; then
+    echo "You need datefudge to run this test"
+    exit 77
 fi
 
-datefudge "2007-04-22" $CERTTOOL --generate-self-signed --load-privkey 
$srcdir/template-test.key \
-       --template template-test.tmpl --outfile tmp-tt.pem 2>/dev/null
+datefudge "2007-04-22" \
+    $CERTTOOL --generate-self-signed \
+    --load-privkey $srcdir/template-test.key \
+    --template $srcdir/template-test.tmpl \
+    --outfile tmp-tt.pem 2>/dev/null
 
 diff $srcdir/template-test.pem tmp-tt.pem
 rc=$?
diff --git a/tests/pkcs1-padding/pkcs1-pad b/tests/pkcs1-padding/pkcs1-pad
index b36cc6d..1b2ac81 100755
--- a/tests/pkcs1-padding/pkcs1-pad
+++ b/tests/pkcs1-padding/pkcs1-pad
@@ -27,7 +27,7 @@ CERTTOOL=${CERTTOOL:-../../src/certtool$EXEEXT}
 # Check for datefudge
 TSTAMP=`datefudge "2006-09-23" date -u +%s`
 if test "$TSTAMP" != "1158962400"; then
-    echo "Cannot fake timestamps, please install datefudge..."
+    echo "You need datefudge to run this test"
     exit 77
 fi
 
diff --git a/tests/suite/testcompat b/tests/suite/testcompat
index a515372..320d9e4 100755
--- a/tests/suite/testcompat
+++ b/tests/suite/testcompat
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-# Copyright (C) 2010, 2012 Free Software Foundation, Inc.
+# Copyright (C) 2010-2012 Free Software Foundation, Inc.
 #
 # Author: Nikos Mavrogiannopoulos
 #
@@ -21,13 +21,15 @@
 # Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 
 if ! test -x /usr/bin/openssl;then
-  echo "You need openssl to run this test"
-  exit 77
+    echo "You need openssl to run this test"
+    exit 77
 fi
 
-if ! test -x /usr/bin/datefudge;then
-  echo "You need datefudge to run this test"
-  exit 77
+# Check for datefudge
+TSTAMP=`datefudge "2006-09-23" date -u +%s`
+if test "$TSTAMP" != "1158962400"; then
+    echo "You need datefudge to run this test"
+    exit 77
 fi
 
 datefudge "2007-04-22" ./testcompat-main


hooks/post-receive
-- 
GNU gnutls



reply via email to

[Prev in Thread] Current Thread [Next in Thread]